# -*- coding: utf-8 -*-
# Generated by Django 1.9.9 on 2016-11-13 10:16
from __future__ import unicode_literals

import ckeditor.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Area',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.IntegerField(choices=[(0, 'Inactive'), (1, 'Active')], default=1, null=True, verbose_name='Status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('name', models.CharField(max_length=150, verbose_name='name')),
                ('slug', models.SlugField(max_length=150, unique=True, verbose_name='slug')),
            ],
            options={
                'ordering': ['ordering', 'name'],
            },
        ),
        migrations.CreateModel(
            name='Faq',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(blank=True, null=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(blank=True, null=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'Inactive'), (1, 'Active')], default=1, null=True, verbose_name='Status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('question', models.CharField(help_text='The actual question itself.', max_length=255, unique=True, verbose_name='question')),
                ('slug', models.SlugField(help_text='Unique identifier for better SEO resultso', max_length=255, unique=True, verbose_name='slug')),
                ('answer', ckeditor.fields.RichTextField(help_text=b'The answer text.', verbose_name='answer')),
                ('protected', models.BooleanField(default=False, help_text='Set true if this question is only visible by authenticated users.')),
                ('fuzzy', models.BooleanField(default=False)),
                ('fuzzy_reverse', models.BooleanField(default=False)),
                ('area', models.ManyToManyField(to='faq.Area')),
                ('creator', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='faq_faq_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='faq_faq_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'ordering': ('ordering', 'date_create', 'question'),
            },
        ),
        migrations.CreateModel(
            name='Topic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.IntegerField(choices=[(0, 'Inactive'), (1, 'Active')], default=1, null=True, verbose_name='Status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('name', models.CharField(max_length=150, verbose_name='name')),
                ('slug', models.SlugField(max_length=150, unique=True, verbose_name='slug')),
            ],
            options={
                'ordering': ['ordering', 'name'],
            },
        ),
        migrations.AddField(
            model_name='faq',
            name='topic',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='faqs', to='faq.Topic', verbose_name='topic'),
        ),
    ]
